package com.ym.mec.biz.dal.entity;

import com.ym.mec.biz.dal.enums.MusicGroupStatusEnum;
import com.ym.mec.biz.dal.enums.YesOrNoEnum;

import io.swagger.annotations.ApiModelProperty;

import org.apache.commons.lang3.builder.ToStringBuilder;

/**
 * 对应数据库表(music_group):
 */
public class 	MusicGroup {

	/**  */
	private String id;
	
	/** 乐团名称 */
	@ApiModelProperty(value = "乐团名称",required = false)
	private String name;
	
	/** 所属分部 */
	@ApiModelProperty(value = "所属分部",required = false)
	private Integer organId;
	
	/** 学校(合作单位) */
	@ApiModelProperty(value = "学校(合作单位) ",required = false)
	private Integer schoolId;
	
	/** 报名截止日期 */
	@ApiModelProperty(value = "报名截止日期",required = false)
	private java.util.Date applyExpireDate;
	
	/** 团长 */
	@ApiModelProperty(value = "运营主管",required = false)
	private Integer teamTeacherId;
	
	/** 教务老师 */
	@ApiModelProperty(value = "教务老师",required = false)
	private Integer educationalTeacherId;
	
	/** 收费类型 */
	@ApiModelProperty(value = "收费类型",required = false)
	private Integer chargeTypeId;
	
	@ApiModelProperty(value = "课程形态",required = false)
	private String courseForm;
	
	/**  */
	private java.util.Date createTime;
	
	/**  */
	private java.util.Date updateTime;
	
	/** 状态（报名中、缴费中、筹备中、进行中、取消） */
	@ApiModelProperty(value = "乐团状态（报名中、缴费中、筹备中、进行中、取消）",required = false)
	private MusicGroupStatusEnum status;
	
	/** 缴费截止日期 */
	@ApiModelProperty(value = "乐团缴费截止日期",required = false)
	private java.util.Date paymentExpireDate;
	
	/** 计费开始日期 */
	@ApiModelProperty(value = "乐团计费开始日期 ",required = false)
	private java.util.Date billStartDate;
	
	@ApiModelProperty(value = "提高课班级数",required = false)
	private Integer improventClassesNum;
	
	@ApiModelProperty(value = "招生年级（多个用,分开）",required = false)
	private String enrollClasses;
	
	/** 是否是加课*/
	@ApiModelProperty(value = "是否是加课",required = false)
	private YesOrNoEnum isExtraClass;
	
	@ApiModelProperty(value = "合作单位编号",required = false)
	private String cooperationOrganId;
	
	@ApiModelProperty(value = "启蒙课日期",required = false)
	private String enlightenmentCourseTime;
	
	@ApiModelProperty(value = "家长会日期",required = false)
	private String parentMeetingTime;

	/** 缴费月份*/
	@ApiModelProperty(value = "缴费月份（多个用,分开）",required = false)
	private String paymentMonths;

	public String getPaymentMonths() {
		return paymentMonths;
	}

	public void setPaymentMonths(String paymentMonth) {
		this.paymentMonths = paymentMonth;
	}

	public String getId() {
		return id;
	}

	public void setId(String id) {
		this.id = id;
	}

	public void setName(String name){
		this.name = name;
	}
	
	public String getName(){
		return this.name;
	}
			
	public void setOrganId(Integer organId){
		this.organId = organId;
	}
	
	public Integer getOrganId(){
		return this.organId;
	}
			
	public void setSchoolId(Integer schoolId){
		this.schoolId = schoolId;
	}
	
	public Integer getSchoolId(){
		return this.schoolId;
	}
			
	public void setApplyExpireDate(java.util.Date applyExpireDate){
		this.applyExpireDate = applyExpireDate;
	}
	
	public java.util.Date getApplyExpireDate(){
		return this.applyExpireDate;
	}
			
	public void setTeamTeacherId(Integer teamTeacherId){
		this.teamTeacherId = teamTeacherId;
	}
	
	public Integer getTeamTeacherId(){
		return this.teamTeacherId;
	}
			
	public void setEducationalTeacherId(Integer educationalTeacherId){
		this.educationalTeacherId = educationalTeacherId;
	}
	
	public Integer getEducationalTeacherId(){
		return this.educationalTeacherId;
	}
			
	public void setChargeTypeId(Integer chargeTypeId){
		this.chargeTypeId = chargeTypeId;
	}
	
	public Integer getChargeTypeId(){
		return this.chargeTypeId;
	}
			
	public String getCourseForm() {
		return courseForm;
	}

	public void setCourseForm(String courseForm) {
		this.courseForm = courseForm;
	}

	public String getCooperationOrganId() {
		return cooperationOrganId;
	}

	public void setCooperationOrganId(String cooperationOrganId) {
		this.cooperationOrganId = cooperationOrganId;
	}

	public String getEnlightenmentCourseTime() {
		return enlightenmentCourseTime;
	}

	public void setEnlightenmentCourseTime(String enlightenmentCourseTime) {
		this.enlightenmentCourseTime = enlightenmentCourseTime;
	}

	public String getParentMeetingTime() {
		return parentMeetingTime;
	}

	public void setParentMeetingTime(String parentMeetingTime) {
		this.parentMeetingTime = parentMeetingTime;
	}

	public void setCreateTime(java.util.Date createTime){
		this.createTime = createTime;
	}
	
	public java.util.Date getCreateTime(){
		return this.createTime;
	}
			
	public void setUpdateTime(java.util.Date updateTime){
		this.updateTime = updateTime;
	}
	
	public java.util.Date getUpdateTime(){
		return this.updateTime;
	}

	public MusicGroupStatusEnum getStatus() {
		return status;
	}

	public void setStatus(MusicGroupStatusEnum status) {
		this.status = status;
	}

	public void setPaymentExpireDate(java.util.Date paymentExpireDate){
		this.paymentExpireDate = paymentExpireDate;
	}
	
	public java.util.Date getPaymentExpireDate(){
		return this.paymentExpireDate;
	}
			
	public void setBillStartDate(java.util.Date billStartDate){
		this.billStartDate = billStartDate;
	}
	
	public java.util.Date getBillStartDate(){
		return this.billStartDate;
	}
			
	public Integer getImproventClassesNum() {
		return improventClassesNum;
	}

	public void setImproventClassesNum(Integer improventClassesNum) {
		this.improventClassesNum = improventClassesNum;
	}

	public String getEnrollClasses() {
		return enrollClasses;
	}

	public void setEnrollClasses(String enrollClasses) {
		this.enrollClasses = enrollClasses;
	}

	public YesOrNoEnum getIsExtraClass() {
		return isExtraClass;
	}

	public void setIsExtraClass(YesOrNoEnum isExtraClass) {
		this.isExtraClass = isExtraClass;
	}

	@Override
	public String toString() {
		return ToStringBuilder.reflectionToString(this);
	}

}
